Selected = ListBox.GetSelected("ListBox1");
	-- Ensure that there was an item selected	
	if Selected then
	-- Get the path to the selected file (stored in the item's 'data')
	FilePath = ListBox.GetItemData("ListBox1", Selected[1]);      
        nAudioPos = 0;	-- текущая позиция аудио трека
		nHandPos = nil;	-- позиция аудио трека установленная вручную
		--visible()
		Audio.Load(CHANNEL_USER1, FilePath, true, false);	-- загрузка аудио файла
		nAudioLength = Audio.GetLength(CHANNEL_USER1);			-- длина аудио трека в секундах
		
		SliderEx.SetRange("Slider_Audio", 0 , nAudioLength);	-- устанавливаем диапазон слайдера аудио
		SliderEx.SetSliderPos("Slider_Audio", nAudioPos);
				
		title = Audio.GetFilename(CHANNEL_USER1);
		title = String.Right(title, (String.Length(title) - String.ReverseFind(title, "\\", true)));
		title = String.Upper(" NOW PLAYING - "..title.." -");
		Page.StartTimer(151);
else
    end
    
    
    